BEEP-MEDIA-PLAYER(1)

NAME
Beep Media Player - an audio player for X.

SYNOPSIS
beep-media-player [-h] [--help] [-n <session>] [--session=<session>] [-r] [--rew] [-p] [--play] [-u] [--pause] [-s] [--stop] [-f] [--fwd] [-e] [--enqueue] [-m] [--show-main-window] [-v] [--version] [filename]...

DESCRIPTION
BMP is the Beep Media Player, based on the X Multimedia System. It is used to play audio and other kinds of media files. By default BMP can play MPEG audio, Ogg Vorbis, RIFF wav, most module formats, and a few other formats. BMP can be extended through plugins to play a number of other audio and video formats.

OPTIONS
BMP accepts the following options:

-h, --help
    Show summary of options.

-n, --session
    Select BMP/XMMS session (Default: 0).

-r, --rew
    Skip backwards in playlist.

-p, --play
    Start playing current playlist.

-u, --pause
    Pause current song.

-s, --stop
    Stop current song.

-t, --play-pause
    Pause if playing, play otherwise.

-f, --fwd
    Skip forward in playlist.

-e, --enqueue
    Don't clear the playlist.

-m, --show-main-window
    Show the main window.

-v, --version
    Print version number and exit.

SKINS
BMP supports WinAmp style skins. Skins may be stored in either archived (.zip, .wsz, .tgz, .tar.gz, or .tar.bz2) or unarchived format. BMP looks for skinfiles in ${prefix}/share/bmp/Skins, ~/.bmp/Skins, and locations specified by the SKINSDIR variable.

KEYBINDINGS
Global keybindings for BMP:
z    Previous song
x    Play
c    Pause
v    Stop
b    Next song
l    Play file
j    Jump to file
r    Toggle Repeat
s    Toggle Shuffle
Shift + l    Play directory
Control + l    Play location
Control + p    Preferences dialog
Control + v    Visualization plugin dialog
Control + r    Time remaining
Control + a    Always on top
Control + w    Winshade mode
Control + d    Doublesize mode
Control + e    Easy move
Control + j    Jump to time
Control + z    Start of list
Control + n    No Playlist Advance
Control + 3    File info dialog
Control + Alt + w    Toggle Equalizer winshade mode
Shift + Control + w    Playlist winshade mode
Alt + w    Hide/show mainwindow
Alt + e    Hide/show playlistwindow
Alt + g    Hide/show Equalizer
Alt + s    Skin selecting window
Main window specific:
Arrow key up    Volume up 2%
Arrow key down    Volume down 2%
Arrow key right    Skip 5 seconds forward in song
Arrow key left    Skip 5 seconds back in song
Playlist window specific:
Arrow key up    Up one step in playlist
Arrow key down    Down one step in playlist
Delete    Remove selected songs from playlist
Page Up    Move one page up
Page Down    Move one page down
Home    First page in playlist
End    Last page in playlist
Enter    Play selected song
Insert    Add file dialog
Shift + Insert    Add directory dialog
Alt + Insert    Add url dialog
Equalizer shade mode specific:
Arrow key up    Volume up 2%
Arrow key down    Volume down 2%
Arrow key right    Balance 4% to right
Arrow key left    Balance 4% to left

FILES

~/.bmp/config
    Users' BMP configuration.

~/.bmp/bmp.m3u
    Default playlist usually loaded on startup.

~/.bmp/gtkrc
    Users set of BMP-specific GTK config settings. Options such as widget color and fonts sizes can be set here.

~/.bmp/menurc
    Users set of keybindings.

~/.bmp/Skins, ${prefix}/share/bmp/Skins
    Default locations where BMP should look for skinfiles.

~/.bmp/Plugins
    Location of user installed plugins.

ENVIRONMENT

SKINSDIR
    Colon separated list of paths where BMP should look for skinfiles.

TARCMD
    Tar command supporting GNU tar style decompression. Used for unpacking gzip and bzip2 compressed skins. Default is tar.

UNZIPCMD
    Command for decompressing zip files (skins). Default is unzip.

OTHER INFO
The webpage for BMP is at http://beepmp.sourceforge.net. Here you can find info about BMP, download the latest version, plugins, and skins.